---

#! jobs/kernel-selftests-locking.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_memory: 2G
need_cpu: -32
kernel-selftests:
  group: locking
kernel_cmdline: erst_disable
job_origin: kernel-selftests-locking.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-skl-d06
tbox_group: lkp-skl-d06
job_file: "/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-locking-debian-12-x86_64-20240206.cgz-d417c66b8b12-20241007-540372-1c9gyub-0.yaml"
id: bf039ed16cc8f6161187832db43089b785ecc6a7
queuer_version: "/zday/lkp"

#! /db/releases/20241001232426/lkp-src/hosts/lkp-skl-d06
model: Skylake
nr_cpu: 4
memory: 16G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APQX4B-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e404b653ca4-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e404b653ca4-part1"
brand: Intel(R) Xeon(R) CPU E3-1225 v5 @ 3.30GHz

#! /db/releases/20241001232426/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /db/releases/20241001232426/lkp-src/include/category/ALL
sanity-check:

#! /db/releases/20241001232426/lkp-src/include/queue/cyclic
commit: d417c66b8b12b5706c9df4ddf5367af540f195c6

#! /db/releases/20241001232426/lkp-src/include/testbox/lkp-skl-d06
need_kconfig_hw:
- PTP_1588_CLOCK: y
- E1000E: y
- SATA_AHCI
- DRM_I915
ucode: '0xf0'

#! /db/releases/20241001232426/lkp-src/include/kernel-selftests
need_kernel_version:
need_kconfig:
- BLOCK: y
- BTRFS_FS: m
- EFI: y
- EFIVAR_FS
- FTRACE: y
- IP_ADVANCED_ROUTER: y
- IP_MULTIPLE_TABLES: y
- RC_CORE
- RC_DECODERS: y
- RC_DEVICES: y
- RC_LOOPBACK: m
- RUNTIME_TESTING_MENU: y
- STAGING: y
- SYNC_FILE: y
- TEST_FIRMWARE
- TEST_KMOD: m
- TEST_LKM: m
- TEST_USER_COPY
- TUN: m
- XFS_FS: m
- OVERLAY_FS
- PERF_EVENTS: y
- SCHED_DEBUG: y
- SHMEM: y
- TMPFS_XATTR: y
- TMPFS: y
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-8.3-kselftests
enqueue_time: 2024-10-07 14:58:25.963871107 +08:00
_rt: "/result/kernel-selftests/locking/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6"
compiler: gcc-12
head_commit: f8df78ebc5215540c25906e3804efd23afd72a39
base_commit: 9852d85ec9d492ebef56dc5f229416c925758edc
branch: linux-devel/devel-hourly-20241005-181608
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241005-111117"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/locking/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/vmlinuz-6.10.0-04481-gd417c66b8b12
- branch=linux-devel/devel-hourly-20241005-181608
- job=/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-locking-debian-12-x86_64-20240206.cgz-d417c66b8b12-20241007-540372-1c9gyub-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3-kselftests
- commit=d417c66b8b12b5706c9df4ddf5367af540f195c6
- erst_disable
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20240508.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-977d51cf-1_20240508.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241006204851/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d06/kernel-selftests-locking-debian-12-x86_64-20240206.cgz-d417c66b8b12-20241007-540372-1c9gyub-0.cgz"
last_kernel: 4.20.0

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/vmlinuz-6.10.0-04481-gd417c66b8b12"
result_root: "/result/kernel-selftests/locking/lkp-skl-d06/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3-kselftests/gcc-12/d417c66b8b12b5706c9df4ddf5367af540f195c6/0"
dequeue_time: 2024-10-07 15:21:10.062815102 +08:00
job_state: finished
loadavg: 2.59 0.83 0.29 1/156 1639
start_time: '1728285833'
end_time: '1728285842'
version: "/lkp/lkp/.src-20241005-111117:420c80b2020c:2aee846502e0"
